Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SCTP_SEQ.h File Reference

`#include "ace/OS.h"`
`#include "ace/Auto_Ptr.h"`
`#include "Protocol_Factory.h"`
`#include "ace/SOCK_SEQPACK_Association.h"`
`#include "ace/SOCK_SEQPACK_Acceptor.h"`
`#include "ace/SOCK_SEQPACK_Connector.h"`
`#include <netinet/sctp.h>`

Include dependency graph for SCTP_SEQ.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_AV_SCTP_SEQ_Acceptor
class | TAO_AV_SCTP_SEQ_Base_Acceptor
class | TAO_AV_SCTP_SEQ_Base_Connector
class | TAO_AV_SCTP_SEQ_Connector
class | TAO_AV_SCTP_SEQ_Factory
class | TAO_AV_SCTP_SEQ_Flow_Factory
class | TAO_AV_SCTP_SEQ_Flow_Handler
class | TAO_AV_SCTP_SEQ_Object
| TAO_AV_Protocol_Object for the User Datagram Protocol (SCTP_SEQ). More...
class | TAO_AV_SCTP_SEQ_Transport
| A transport abstraction for udp sockets. Uses the ACE_SOCK_Dgram to send the data. More...
## Typedefs
typedef ACE_Unbounded_Set< ACE_CString > | Interface_Seq
typedef ACE_Unbounded_Set_Iterator< ACE_CString > | Interface_Seq_Itor
typedef ACE_Hash_Map_Manager< ACE_CString, Interface_Seq, ACE_Null_Mutex > | Secondary_Addr_Map
typedef ACE_Hash_Map_Entry< ACE_CString, Interface_Seq > | Secondary_Addr_Map_Entry
typedef ACE_Hash_Map_Iterator< ACE_CString, Interface_Seq, ACE_Null_Mutex > | Secondary_Addr_Map_Iterator

## Detailed Description

Id:
  SCTP_SEQ.h,v 1.3 2003/11/05 21:06:38 yamuna Exp

Author:
  Yamuna Krishnamurthy <yamuna@oomworks.com>

## Typedef Documentation

typedef ACE_Unbounded_Set<ACE_CString> Interface_Seq

typedef ACE_Unbounded_Set_Iterator<ACE_CString> Interface_Seq_Itor

typedef ACE_Hash_Map_Manager<ACE_CString,Interface_Seq,ACE_Null_Mutex> Secondary_Addr_Map

typedef ACE_Hash_Map_Entry<ACE_CString,Interface_Seq> Secondary_Addr_Map_Entry

typedef ACE_Hash_Map_Iterator<ACE_CString,Interface_Seq,ACE_Null_Mutex> Secondary_Addr_Map_Iterator